
\chapter{ Parameters for Setup-1, Setup-2, and Setup-3 \label{ch:our-params} } 

This chapter provides the parameters used for Setup-1, Setup-2, and Setup-3. The Setup-2 was never built, but its parameters are still shown just so the reader can see why it was not built. \\



% For Setup-1, our Python code gave us a state vector containing the optimized parameters. Our code was not smart enough to take magnet orientations into account back when we were designing Setup-1, so all the magnets were pointed north (N) up. We gave the code the number of magnets for each ring. The number of magnets in the $i$th ring is denoted as $N_i$ in the table. The code optimized the magnet ring radius, $R_i$, height, $H_i$, and rotation angle, $A_i$, for each ring with number $i$, and gave us a state vector with the optimal parameters. All the parameters for Setup-1 are shown in \tbl{tbl:setup-1-params}. \\

The code optimized the magnet ring radius, $R_i$, height, $H_i$, and rotation angle, $A_i$, for each ring with number $i$, and gave us a state vector with the optimal parameters. The number of magnets in the $i$th ring is denoted as $N_i$ in our parameter table. Our code was not smart enough to take magnet orientations into account back when we were designing Setup-1, so all the magnets were pointed north (N) up. All the parameters for Setup-1 are shown in \tbl{tbl:setup-1-params}. \\


% When opened with Microsoft Excel or LibreOffice Calc, the structure of the data looks exactly like \tbl{tbl:setup-1-params} and \tbl{tbl:setup-3-params}. 

We optimized Setup-2 and Setup-3 ourselves, using the sliders in our Python tool. Setup-2 parameters are shown in \tbl{tbl:setup-2-params}. After designing Setup-2 with maximum field profile smoothness in mind, we realized it is too complicated. It has 15 rings, and the rings are arranged in such a way that 7 of them are beneath the other 8, making multiple layers of rings. Because of the complexity, we created another magnet arrangement, Setup-3, with fewer magnet rings and a simpler ring arrangement. We decided to set the orientation of ring 1 to be south (S) up because we hoped that will help smooth the curve a little more. Our code became more advanced by the time we designed Setup-3, so we were able to adjust the rings' orientations by then as well. Optimizing for Setup-3, we noticed that picking the highest $N_i$ possible for the desired ring radius (larger rings can fit larger $N_i$) is key to making the curve as smooth as possible, so we kept increasing $N_i$ as much as we could with each additional ring. After we were done optimizing the curve for the most part, we finally made a finishing touch of picking a value to set $A_2$ to, such that the curve was a little bit smoother; we left the $A_i$ at 0 for the others because chaning them would not have contributed much to making the field smoother. All the parameters for Setup-3 are shown in \tbl{tbl:setup-3-params}. \\


\begin{table} 
\caption{ Magnet arrangement parameters' optimization results for Setup-1. The variables are $i$, the ring number, $N_i$, the number of magnets in the $i$th ring, $R_i$, the radius of the ring, $H_i$, the height of that ring, and $A_i$, the angle by which the ring should be rotated about the Z-axis. \label{tbl:exp-01-opt-res} \label{tbl:setup-1-params} } 
\begin{center} 
\begin{tabular}{ c | c | c | c | c | c } 
	$i$ 	& Up Side 	& $N_i$	& $R_i$ (\si{mm}) 	& $H_i$ (\si{mm}) 	& $A_i$ (\si{rad}) \\
	\hline 
	1 	& N 		& 8 		& 16.92 		& 24.64 		& 2.95 \\
	2 	& N 		& 16 		& 61.87 		& 49.96 		& 0.20 \\
	3 	& N 		& 16 		& 41.88 		& 52.31 		& 0.00 \\
	4 	& N 		& 16 		& 32.84 		& 40.75 		& 0.00 \\
	5 	& N 		& 16 		& 72.97 		& 52.15 		& 0.01 \\
	6 	& N 		& 32 		& 102.11 		& 48.82 		& 0.00 \\
\end{tabular} 
\end{center} 
\end{table} 

\begin{table} 
\caption{ Magnet arrangement parameters for Setup-2. The variables are $i$, the ring number, $N_i$, the number of magnets in the $i$th ring, $R_i$, the radius of the ring, $H_i$, the height of that ring, and $A_i$, the angle by which the ring should be rotated about the Z-axis. \label{tbl:setup-2-params} } 
\begin{center} 
\begin{tabular}{ c | c | c | c | c | c } 
	$i$ 	& Up Side 	& $N_i$	& $R_i$ (\si{mm}) 	& $H_i$ (\si{mm}) 	& $A_i$ (\si{rad}) \\
	\hline 
	1 	& N 		& 8		& 25.11		& 12.93		& 0 \\
	2 	& N 		& 16 		& 37.62 		& 24.54 		& 0 \\
	3 	& N 		& 24 		& 44.63 		& 14.66 		& 0 \\
	4 	& N 		& 32 		& 54.54 		& 15.23 		& 0 \\
	5 	& N 		& 20 		& 34.63 		& 14.73 		& 0 \\
	6 	& N 		& 32 		& 59.74 		& 25.16 		& 0 \\
	7 	& N 		& 32 		& 63.94 		& 15.09 		& 0 \\
	8 	& N 		& 32 		& 73.24 		& 14.33 		& 0 \\
	9 	& N 		& 48 		& 92.66 		& 11.36 		& 0 \\
	10 	& N 		& 48 		& 75.56 		& 23.77 		& 0 \\
	11	& N 		& 48		& 83.16		& 13.45		& 0 \\
	12	& N 		& 48		& 73.26		& 34.50		& 0 \\
	13	& N 		& 16		& 41.72		& 36.04		& 0 \\
	14	& N 		& 16		& 45.72		& 45.13		& 0 \\
	15	& N 		& 48		& 82.76		& 37.01		& 0 \\
\end{tabular} 
\end{center} 
\end{table} 

\begin{table} 
\caption{ Magnet arrangement parameters for Setup-3. The variables are $i$, the ring number, $N_i$, the number of magnets in the $i$th ring, $R_i$, the radius of the ring, $H_i$, the height of that ring, and $A_i$, the angle by which the ring should be rotated about the Z-axis. \label{tbl:setup-3-params} } 
\begin{center} 
\begin{tabular}{ c | c | c | c | c | c } 
	$i$ 	& Up Side 	& $N_i$	& $R_i$ (\si{mm}) 	& $H_i$ (\si{mm}) 	& $A_i$ (\si{rad}) \\
	\hline 
	1 	& S 		& 16 		& 24.42 		& 13.81 		& 0 \\
	2 	& N 		& 18 		& 34.57 		& 13.14 		& 0.087 \\
	3 	& N 		& 28 		& 42.74 		& 14.79 		& 0 \\
	4 	& N 		& 32 		& 51.54 		& 14.33 		& 0 \\
	5 	& N 		& 38 		& 61.00 		& 14.33 		& 0 \\
	6 	& N 		& 45 		& 69.68 		& 14.84 		& 0 \\
	7 	& N 		& 48 		& 78.46 		& 14.17 		& 0 \\
	8 	& N 		& 56 		& 87.17 		& 12.63 		& 0 \\
	9 	& N 		& 60 		& 95.28 		& 10.00 		& 0 \\
	10 	& N 		& 48 		& 73.26 		& 24.54 		& 0 \\
\end{tabular} 
\end{center} 
\end{table} 



